Subject: RE: I-D ACTION:draft-huitema-v6ops-teredo-00.txt

From: "Christian Huitema" <[email-masked]>
Date: Tue, 10 Jun 2003 13:19:21 -0700

> In the new draft, I see the addition of a new section entitled:
> "IAB considerations". Other than that, have there been any
> substantive changes since the previous draft version? (In
> the future, a changelog would be helpful).

There are two substantial changes: documenting the IPv4 multicast
address used in the local connectivity procedure; and documenting some
changes in the local connectivity procedures.

The change in local connectivity procedure is to require a unicast
bubble as well as a multicast one. The old write up was: if a host
receives a multicast bubble from another host, then it can send Teredo
packets to the local address. This fails in the "stacked NAT" scenario,
e.g. when the local network includes a wireless access point that is
also a NAT. (These types of NAT do not decrement the TTL value in IP
packets, so multicast works...) It fails because the multicast packet
does not refresh the NAT mapping often enough. So, in the new procedure,
the hosts send multicast bubbles to discover each other, but they also
send unicast bubbles to confirm connectivity when needed.

-- Christian Huitema

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 11 Jun 2003 12:37:06 -0400

> On Tue, 10 Jun 2003, Christian Huitema wrote:
> [...]
> > Also, only a small fraction of the packets actually go through the 
> > server.
> 
> One thing to note here: in addition to "Server", the Teredo 
> architecture also includes "Relay".  And while only a small 
> fraction of packets go through the server (AFAIR), a large 
> number of them could go through Relay (which are probably 
> often one and the same).
> 
> So, in practical purposes I believe Eric's comment about 
> "server" can be 
> generalized to be "server or relay".

I don't agree.  There is a significant difference between the Teredo
Server role and the relay.  Relays simply forward packets and that is
not an issue for us here.

> 
> In that vein, please remember that people MAY NOT deploy 
> Teredo as some may envision it, to be used mainly between 
> Teredo hosts only -- but 
> between the hosts and *the rest of the IPv6 Internet*.

This is not our concern and cannot be what we have to do is build specs
that work for the task at hand.  In the applicability statement that can
be done on all specs as health warning.

> 
> If you want to deploy IPv6 Internet and IPv6 Teredo Internet 
> separately, 
> you're certainly correct: few packets pass through servers/relays.
> 
> I do not have that deployment scenario in mind; quite the 
> opposite :-).
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> 
> 
> 
> 
>